.s-script-default {
  background-color: #fff
}

@media screen and (max-width:639px) {
  .s-script-default {
    padding-top: 56px;
    padding-bottom: 56px
  }
}

@media (min-width:640px) and (max-width:959px) {
  .s-script-default {
    padding-top: 64px;
    padding-bottom: 64px
  }
}

@media (min-width:960px) and (max-width:1359px) {
  .s-script-default {
    padding-top: 64px;
    padding-bottom: 64px
  }
}

@media screen and (min-width:1360px) {
  .s-script-default {
    padding-top: 72px;
    padding-bottom: 72px
  }
}

.s-script-default .s-script-header {
  margin-bottom: 1.6rem
}

.s-script-default .s-script-header [tuiTitle] {
  gap: 8px
}

.s-script-default .s-script-header [tuiSubtitle] {
  color: var(--tui-text-primary)
}

.s-script-popup {
  position: relative
}

.s-script-popup text-area,
.s-script-popup tui-text-area {
  height: 100%
}

.s-script-popup tui-scrollbar {
  max-height: 100vh !important
}

.s-script-popup__wrapper {
  box-sizing: border-box;
  background-color: #fff;
  box-shadow: 0 8px 24px rgba(0, 0, 0, .16)
}

@media screen and (max-width:639px) {
  .s-script-popup__wrapper {
    padding: 20px
  }
}

@media screen and (max-width:959px) {
  .s-script-popup__wrapper {
    width: 100vw;
    height: 100%
  }
}

@media (min-width:640px) and (max-width:959px) {
  .s-script-popup__wrapper {
    padding: 24px 52px
  }
}

.s-script-popup__wrapper_editor {
  height: 100%
}

@media screen and (min-width:960px) {
  .s-script-popup__wrapper {
    min-width: 528px;
    padding: 24px
  }

  .s-script-popup__wrapper_editor {
    width: 528px
  }
}

.s-script-widget-base {
  background-color: #fff
}

@media screen and (max-width:639px) {
  .s-script-widget-base {
    padding-top: 56px;
    padding-bottom: 56px
  }
}

@media (min-width:640px) and (max-width:959px) {
  .s-script-widget-base {
    padding-top: 64px;
    padding-bottom: 64px
  }
}

@media (min-width:960px) and (max-width:1359px) {
  .s-script-widget-base {
    padding-top: 64px;
    padding-bottom: 64px
  }
}

@media screen and (min-width:1360px) {
  .s-script-widget-base {
    padding-top: 72px;
    padding-bottom: 72px
  }
}

.s-script-widget-base .link,
.s-script-widget-base .textarea {
  pointer-events: auto
}

.s-script-widget-base .s-script-header {
  margin-bottom: 1.6rem
}

.s-script-widget-base .s-script-header [tuiTitle] {
  gap: 8px
}

.s-script-widget-base .s-script-header [tuiSubtitle] {
  color: var(--tui-text-primary)
}

.s-script-dialog {
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  gap: 36px
}

.s-script-dialog .space-top {
  margin-top: 20px
}

.s-script-dialog button.instructions__step {
  padding-bottom: 20px;
  color: var(--tui-text-primary);
  --t-image-size: 40px
}

.s-script-dialog button.instructions__step .t-marker.t-marker_index {
  color: var(--tui-text-secondary);
  background: var(--tui-background-neutral-1);
  block-size: 40px;
  inline-size: 40px
}

.s-script-dialog button.instructions__step .step__link {
  pointer-events: auto
}
